Skip to main content
PATCH
/
api
/
campaigns
/
{campaign_code}
Updates the title and/ or description of the campaign. Updating a
curl --request PATCH \
  --url https://my.exnessaffiliates.com/api/campaigns/{campaign_code}/ \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "archived": true
}
'
{
  "campaign_code": "string",
  "title": "string",
  "link_count": "int",
  "archived": "bool",
  "is_blocked": "bool",
  "base_link": "string",
  "created": "datetime",
  "links": [
    {
      "link": "string",
      "platform": "string",
      "os": "string",
      "tags": [
        "string"
      ]
    }
  ],
  "reward_schema": "string"
}

Documentation Index

Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

campaign_code
string
required

Body

application/json
title
string

campaign title

description
string

campaign description

archived
boolean

archives the campaign

Response

OK

campaign_code
string
required

campaign code

Example:

"string"

title
string
required

campaign title

Example:

"string"

number of agent links in campaign

Example:

"int"

archived
boolean
required

whether campaign archived or not

Example:

"bool"

is_blocked
boolean
required

is campaign blocked

Example:

"bool"

campaign base agent link

Example:

"string"

created
string
required

campaign creation date

Example:

"datetime"

campaign links

Example:
[
{
"link": "string",
"platform": "string",
"os": "string",
"tags": ["string"]
}
]
reward_schema
string
required

campaign reward schema

Example:

"string"